it.reply.healty.innovapuglia.mstaccuino.soap.client

## Class IRepoTaccuinoClient

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.soap.client.common.AbstractCxfClient<IRepositoryTaccuino>
  - - it.reply.healty.innovapuglia.mstaccuino.soap.client.IRepoTaccuinoClient

-     @Component
      public class IRepoTaccuinoClient
      extends AbstractCxfClient<IRepositoryTaccuino>

  Client SOAP del repository dedicato al taccuino
  Author:
    Fabio Frijo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IRepoTaccuinoClient(ApplicationConfig conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(Document doc)` Effettua il salvataggio di un nuovo documento su repository remoto
    `void` | `deprecate(String idDocumento)` Metodo che effettua la deprecazione di un documento su repository remoto
    `void` | `deprecateList(List<String> idDocumenti)` Metodo che effettua la deprecazione di una lista di documenti su repository remoto
    `Document` | `download(String idDocumento)` Effettua il download del documento da repository remoto
    `protected List<org.apache.cxf.feature.Feature>` | `getFeatures()`
    `protected List<Handler>` | `getHandlers()`
    `String` | `replace(String idDocumentoDeprecato, Document doc)` Effettua la sostituzione di un documento su repository remoto

    - ### Methods inherited from class it.reply.healty.innovapuglia.mstaccuino.soap.client.common.AbstractCxfClient

      `getClient, setRemoteOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IRepoTaccuinoClient

          public IRepoTaccuinoClient(@NonNull
                                     ApplicationConfig conf)

  - ### Method Detail

    - #### getHandlers

          protected List<Handler> getHandlers()

      Specified by:
        `getHandlers` in class `AbstractCxfClient<IRepositoryTaccuino>`

    - #### getFeatures

          protected List<org.apache.cxf.feature.Feature> getFeatures()

      Specified by:
        `getFeatures` in class `AbstractCxfClient<IRepositoryTaccuino>`

    - #### create

          public void create(Document doc)
                      throws FaultException

      Effettua il salvataggio di un nuovo documento su repository remoto
      Parameters:
        `doc` - I metadati del documento da salvare
      Throws:
        `FaultException` - Quando c'è qualche errore da parte del servizio remoto

    - #### replace

          public String replace(String idDocumentoDeprecato,
                                Document doc)
                         throws FaultException

      Effettua la sostituzione di un documento su repository remoto
      Parameters:
        `idDocumentoDeprecato` - L'id del documento che va sostituito
        `doc` - I metadati del nuovo documento da salvare
      Returns:
        L'ID del nuovo documento salvato
      Throws:
        `FaultException` - Quando c'è qualche errore da parte del servizio remoto

    - #### download

          public Document download(String idDocumento)
                            throws FaultException

      Effettua il download del documento da repository remoto
      Parameters:
        `idDocumento` - L'ID del documento da scaricare
      Returns:
        I metadati del documento scaricato
      Throws:
        `FaultException` - Quando c'è qualche errore da parte del servizio remoto

    - #### deprecate

          public void deprecate(String idDocumento)
                         throws FaultException

      Metodo che effettua la deprecazione di un documento su repository remoto
      Parameters:
        `idDocumento` - L'ID del documento da deprecare
      Throws:
        `FaultException` - Quando c'è qualche errore da parte del servizio remoto

    - #### deprecateList

          public void deprecateList(List<String> idDocumenti)
                             throws FaultException

      Metodo che effettua la deprecazione di una lista di documenti su repository remoto
      Parameters:
        `idDocumenti` - La lista di ID dei documenti da deprecare
      Throws:
        `FaultException` - Quando c'è qualche errore da parte del servizio remoto

Copyright © 2024. All rights reserved.